Update a namespace
curl --request PUT \
--url https://mycluster.domino.tech/api/taxonomy/v1/namespaces/{namespaceId} \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"status": "<string>",
"allowMultipleAssignments": true,
"description": "<string>"
}
'import requests
url = "https://mycluster.domino.tech/api/taxonomy/v1/namespaces/{namespaceId}"
payload = {
"label": "<string>",
"status": "<string>",
"allowMultipleAssignments": True,
"description": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
status: '<string>',
allowMultipleAssignments: true,
description: '<string>'
})
};
fetch('https://mycluster.domino.tech/api/taxonomy/v1/namespaces/{namespaceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allowMultipleAssignments": true,
"createdAt": "<string>",
"createdBy": {
"userID": "<string>",
"username": "<string>"
},
"description": "<string>",
"entityCount": {
"app": 123,
"dataset": 123,
"environment": 123,
"model": 123,
"netappVolume": 123,
"policy": 123,
"project": 123,
"projectTemplate": 123,
"total": 123
},
"id": "<string>",
"label": "<string>",
"tagCount": 123,
"updatedAt": "<string>",
"updatedBy": {
"userID": "<string>",
"username": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Tagging - Namespaces
Update a namespace
Update a namespace’s label, description, assignment policy, or status
PUT
/
namespaces
/
{namespaceId}
Update a namespace
Path Parameters
Namespace UUID
Body
application/json
Namespace fields to update
Was this page helpful?
⌘I